import request from '@/utils/request'

// 查询物资管理列表
export function listManagement(query) {
  return request({
    url: '/stock/management/list',
    method: 'get',
    params: query
  })
}

// 查询物资管理详细
export function getManagement(materialManagementCode) {
  return request({
    url: '/stock/management/' + materialManagementCode,
    method: 'get'
  })
}

// 新增物资管理
export function addManagement(data) {
  return request({
    url: '/stock/management',
    method: 'post',
    data: data
  })
}

// 修改物资管理
export function updateManagement(data) {
  return request({
    url: '/stock/management',
    method: 'put',
    data: data
  })
}

// 删除物资管理
export function delManagement(materialManagementCode) {
  return request({
    url: '/stock/management/' + materialManagementCode,
    method: 'delete'
  })
}
